%define module_name drm
%define module_version 4.4.0
%define module_release alt3
%define module_source http://www.xfree86.org/~alanh/linux-%module_name-%module_version-kernelsource.tar.gz

#### MODULE SOURCES ####
Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
BuildArch: noarch
Source0: %module_source

Patch0: drm-4.4.0-page_count.patch
Patch1: drm-4.4.0-pci-ids.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

#### KERNEL DOCUMENTATION ####
%package -n kernel-doc-%module_name-%module_version
Version: %module_version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

%description
%module_name modules sources for Linux kernel

%description -n kernel-doc-%module_name-%module_version
%module_name modules documentation for Linux kernel

%prep
%setup -c -n kernel-source-%module_name-%module_version
%patch0 -p1
%patch1 -p1

%install
mkdir -p %buildroot%_usrsrc/kernel/sources/
mkdir -p %buildroot%_defaultdocdir/kernel-doc-%module_name-%module_version
cp -a README.drm \
	%buildroot%_defaultdocdir/kernel-doc-%module_name-%module_version
pushd ..
tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
	%buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
popd

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files -n kernel-doc-%module_name-%module_version
%doc %_defaultdocdir/kernel-doc-%module_name-%module_version

%changelog
* Wed Jun 30 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt3
- Added drm-4.4.0-page_count.patch: fix compilation with 2.6.7.

* Tue Jun 29 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt2
- Added drm-4.4.0-pci-ids.patch: update PCI ID list for radeon and r128 driver
  from dri.sourceforge.net CVS HEAD.

* Tue Mar 09 2004 Sergey Vlasov <vsu@altlinux.ru> 4.4.0-alt1
- Version 4.4.0.
- Spec file cleanup.

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt2
- adopting to new kernel policy.

* Wed Feb 19 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt1
- initial release of NGKPs
